Package com.documentum.operations

# Interface IDfPredictiveCachingOperation

All Superinterfaces:
  `IDfOperation`

public interface IDfPredictiveCachingOperation extends IDfOperation
The predictive caching operation generates content pre-caching BOCS URLs and sends URLs to BOCS. Compound documents cannot be referenced using ACS/BOCS URLs, so no URLs will be generated for compound documents.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DAY`
  `static final long`
  `HOUR`
  `static final long`
  `MINUTE`
  `static final long`
  `SECOND`
  `static final long`
  `WEEK`

  ### Fields inherited from interface com.documentum.operations.IDfOperation

  `GENERATE_RESOURCE_FORK, IGNORE_RESOURCE_FORK, REQUIRE_RESOURCE_FORK, RESOURCE_FORK_UNDEFINED, USE_RESOURCE_FORK_IF_AVAILABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfAcsTransferPreferences`
  `getAcsTransferPreferences()`
  Returns the `IDfAcsTransferPreferences` object to be used.
  `long`
  `getMinimumContentSize()`
  Returns minimum content size, in bytes.
  `IDfList`
  `getNetworkLocationIds()`
  Returns a list of the network location identifiers to be used for content pre-caching.
  `IDfList`
  `getObjects()`
  Returns the list of unique objects in this operation.
  `long`
  `getTimeToLive()`
  BOCS attempts to pre-cache the content until a specified delay after successful execution of the operation.
  `void`
  `setAcsTransferPreferences(IDfAcsTransferPreferences acsTransferPreferences)`
  Sets the `IDfAcsTransferPreferences` object to be used.
  `void`
  `setMinimumContentSize(long size)`
  Sets minimum content size, in bytes.
  `void`
  `setNetworkLocationIds(IDfList networkLocationIds)`
  Sets the list of the network location identifiers to be used for content pre-caching.
  `void`
  `setTimeToLive(long timeToLive)`
  BOCS attempts to pre-cache the content until specified delay after successful execution of the operation.
  `void`
  `useApplicationSupportDocuments(boolean useAppSuppDocs)`
  If you do not want to pre-cache any of the documents in the Application Support Documents set this to `false`.

  ### Methods inherited from interface com.documentum.operations.IDfOperation

  `abort, add, areDisabledRegistryUpdates, canUndo, disableRegistryUpdates, enablePopulateWithReferences, execute, getContext, getDescription, getErrors, getName, getNodes, getOperationMonitor, getOperationType, getProperties, getRootNodes, getSession, getSteps, isAborted, isEnabledPopulateWithReferences, logError, removeNode, reportError, resetErrors, setOperationMonitor, setSession, succeeded`

- ## Field Details

  - ### SECOND

    static final long SECOND
    See Also:
      - Constant Field Values

  - ### MINUTE

    static final long MINUTE
    See Also:
      - Constant Field Values

  - ### HOUR

    static final long HOUR
    See Also:
      - Constant Field Values

  - ### DAY

    static final long DAY
    See Also:
      - Constant Field Values

  - ### WEEK

    static final long WEEK
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getObjects

    IDfList getObjects() throws DfException
    Returns the list of unique objects in this operation. Each entry in the list is an IDfSysObject.
    Returns:
      returns the list of unique objects in this operation
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfSysObject`

  - ### useApplicationSupportDocuments

    void useApplicationSupportDocuments(boolean useAppSuppDocs)
    If you do not want to pre-cache any of the documents in the Application Support Documents set this to `false`. The default value is `true`.
    Parameters:
      `useAppSuppDocs` - if `false`, the documents in Application Support Documents folder will not be pre-cacheed.

  - ### getMinimumContentSize

    long getMinimumContentSize()
    Returns minimum content size, in bytes. If content size is smaller than provided parameter value, content is not processed.
    Returns:
      minimum content size, in bytes

  - ### setMinimumContentSize

    void setMinimumContentSize(long size)
    Sets minimum content size, in bytes. If content size is smaller than provided parameter value, content is not processed.
    Parameters:
      `size` - minimum content size, in bytes

  - ### getNetworkLocationIds

    IDfList getNetworkLocationIds() throws DfException
    Returns a list of the network location identifiers to be used for content pre-caching. All BOCS for specified network locations attempt to pre-cache the content.
    Returns:
      list of client network location identifiers.
    Throws:
      `DfException` - if a server error occurs

  - ### setNetworkLocationIds

    void setNetworkLocationIds(IDfList networkLocationIds) throws DfException
    Sets the list of the network location identifiers to be used for content pre-caching. All BOCS for specified network locations attempt to pre-cache the content.
    Parameters:
      `networkLocationIds` - list of the network location identifiers to be used for content pre-caching
    Throws:
      `DfException` - if a server error occurs

  - ### getTimeToLive

    long getTimeToLive()
    BOCS attempts to pre-cache the content until a specified delay after successful execution of the operation.
    Returns:
      time to live in milliseconds; default value is one week.

  - ### setTimeToLive

    void setTimeToLive(long timeToLive)
    BOCS attempts to pre-cache the content until specified delay after successful execution of the operation.
    Parameters:
      `timeToLive` - time to live in milliseconds

  - ### getAcsTransferPreferences

    IDfAcsTransferPreferences getAcsTransferPreferences()
    Returns the `IDfAcsTransferPreferences` object to be used.
    Returns:
      `IDfAcsTransferPreferences` object to be used

  - ### setAcsTransferPreferences

    void setAcsTransferPreferences(IDfAcsTransferPreferences acsTransferPreferences)
    Sets the `IDfAcsTransferPreferences` object to be used.
    Parameters:
      `acsTransferPreferences` - `IDfAcsTransferPreferences` object to be used